uhd_image_loader(1)

NAME
uhd_image_loader - UHD Image Loader

DESCRIPTION
Burn firmware and FPGA images onto connected Ettus Research devices.

SYNOPSIS
uhd_image_loader [OPTIONS]

OPTIONS

List options:
    --help

Device and loader arguments:
    --args=""

Custom firmware filepath:
    --fw-path=""

Custom FPGA filepath:
    --fpga-path=""

Don't burn firmware:
    --no-fw

Don't burn FPGA:
    --no-fpga

SPECIFYING A PARTICULAR DEVICE

Without any arguments given through the args="" option, this utility will start a session with the first Ettus Research device it sees. The arguments shown below will narrow down the utility's search for a particular device:

  All devices

The name= and serial= arguments can be used to specify any device except an uninitialized USB device or an OctoClock bootloader. The type= argument can be used to specify any device, as described below: "type=" argument Argument | Device type=usrp2 | USRP N200, USRP N210 type=b200 | USRP B200, USRP B210 type=e3x0 | USRP E310 type=octoclock | OctoClock

NOTE: The USRP1, USRP2, and USRP B100 are not supported.

  Network devices

By default, this utility will check all network interfaces for network-based devices, but a specific IP address can be specified with the addr= argument.

  NI-RIO devices

An X-Series devices connected via PCIe can be specified by its NI-RIO resource through the resource= argument, and the RPC port through which to communicate with it can be specified with the rpc-port= argument. Using these options is not recommended, as their default values are almost always used.

  OctoClock devices
An OctoClock's name and serial are only exposed when the firmware is loaded, so if the device only has a bootloader, only the addr= argument can be used to find it.

DEVICE-SPECIFIC LOADER OPTIONS

Certain devices have specific options for customizing their image loading process, and these can be passed in through the --args="" option. These arguments are specified below:

  USRP N200, USRP N210

The overwrite-safe option will overwrite the device's safe-mode firmware and FPGA images. This is NOT RECOMMENDED, as these images serve as the backup if the device's primary images are corrupted.

The reset option will automatically reset the device once the loading process finishes. When the device resets, it will have its new images loaded.

  USRP X300, USRP X310 (Ethernet only)

The configure option will automatically reset the device once the loading process finishes. When the device resets, it will have its new FPGA image loaded.

The verify option will tell the device to internally verify the integrity of the image as it loads. This greatly increases the loading time.

EXAMPLES

  Load only the default FPGA image onto a specific N2x0 device and reset

uhd_image_loader --args="type=usrp2,addr=192.168.10.2,reset" --no-fw

  Load a custom FPGA image onto a specific X3x0 device

uhd_image_loader --args="type=x300,addr=192.168.40.2" --fpga-path="/home/user/my_x300_fpga_image.bit"

SEE ALSO
UHD documentation: http://files.ettus.com/manual/

GR-UHD documentation: http://gnuradio.org/doc/doxygen/page_uhd.html

Other UHD programs:

uhd_images_downloader(1) usrp2_card_burner(1)

AUTHOR
This manual page was written by Nicholas Corgan for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2015-2022 Ettus Research, A National Instruments Brand

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.